Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 859671 - Review Request: opencpn - A free and open source software for marine navigation
Summary: Review Request: opencpn - A free and open source software for marine navigation
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: NotReady
: 612224 (view as bug list)
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2012-09-23 04:22 UTC by eric@christensenplace.us
Modified: 2014-05-16 17:36 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-05-16 17:36:18 UTC


Attachments (Terms of Use)

Description eric@christensenplace.us 2012-09-23 04:22:39 UTC
Spec URL: http://sparks.fedorapeople.org/Packages/opencpn.spec

SRPM URL: http://sparks.fedorapeople.org/Packages/opencpn-3.0.2-1.fc19.src.rpm

Description: OpenCPN is a free software (GPLv2) project to create a concise chart plotter and navigation software, for use underway or as a planning tool. OpenCPN is developed by a team of active sailors using real world conditions for program
testing and refinement.

Fedora Account System Username: sparks

Comment 1 eric@christensenplace.us 2012-09-23 04:26:09 UTC
$ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/opencpn-* SPECS/opencpn.spec 
opencpn.x86_64: W: no-manual-page-for-binary opencpn
opencpn-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OpenCPN-3.0.2-Source/src/wxJSON/jsonwriter.cpp
opencpn-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OpenCPN-3.0.2-Source/include/wx/jsonval.h
opencpn-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OpenCPN-3.0.2-Source/include/wx/jsonwriter.h
opencpn-debuginfo.x86_64: W: spurious-executable-perm /usr/src/debug/OpenCPN-3.0.2-Source/src/wxJSON/jsonval.cpp
3 packages and 1 specfiles checked; 0 errors, 5 warnings.

Comment 2 Volker Fröhlich 2012-09-23 09:26:51 UTC
BR gpsd and tinyxml.

The license is not GPLv2, but GPLv2+ at least. Run the licensecheck program on the files. It will also help you in the following:

The project seems to borrow code from various libraries. Among them:

- wxjson
- gdal
- jeeps (That one's OK, as far as I remember. Upstream is dead for ages.)

I believe parts of grib and nmea are included as well.

Please delete this code in the prep section and make the software use the system-wide libraries instead. Also delete the tinyxml code.

rpm-build should not be listed as a BR. It's not necessary to do so. Requires:   gcc-c++ is likely unnecessary as well, but I haven't tested it.

Please drop the license part from the description. I consider that redundant.

rm -rf $RPM_BUILD_ROOT in the install is obsolete.

You can use "%{_defaultdocdir}" instead of "%{_datadir}/doc/".

Use the version macro in Source0 and %setup, as well as in your sed invocations.

Comment 3 eric@christensenplace.us 2012-09-26 21:30:24 UTC
I found the gdal package to replace the code in OpenCPN but I couldn't find a replacement for wxjson.  

I'm still trying to craft this package that still works.

Comment 4 Volker Fröhlich 2012-09-26 21:36:09 UTC
Thank you for the news!

http://wxcode.sourceforge.net/docs/wxjson/

Seems there is no package yet.

Comment 5 eric@christensenplace.us 2012-09-26 21:39:51 UTC
(In reply to comment #4)
> http://wxcode.sourceforge.net/docs/wxjson/
> 
> Seems there is no package yet.

Ahh...  Okay, this would work.  Could you help me prune out the necessary stuff in the CMakeList.txt file?  I seem to break things when I try to remove the dependency parts.

I'll try to get wxjson downloaded tonight and see how much of a problem it will be to get packaged.

Comment 6 Volker Fröhlich 2012-09-26 21:46:54 UTC
Yes, I did the likes before, I should be able to help.

Comment 7 Volker Fröhlich 2012-09-28 19:45:05 UTC
We found the software to use several parts of GDAL, that do not belong to the public API. This needs work upstream.

Comment 8 Volker Fröhlich 2012-09-30 19:23:33 UTC
Labelling it "Not ready for review"

Comment 9 Jean-Eudes ONFRAY 2012-10-01 13:32:10 UTC
A previous review request for 2.1 can be found here: Bug 612224

I updated it for 2.5.0 in February but nothing since.

If you read my comments there, I said:
--
gdal library has lots of changes from upstream. Changes heavily related to internal use. Would probably not fit to upstream for inclusion.

nmea0183 does not exist as a lib. There are two different versions: one for core OpenCPN, one for the dashboard plugin. Both are different. It's required by lead OpenCPN dev to ensure plugins doesn't rely on any special version from core.
--

Comment 10 Volker Fröhlich 2013-06-27 09:10:59 UTC
*** Bug 612224 has been marked as a duplicate of this bug. ***

Comment 11 Volker Fröhlich 2013-06-28 12:41:09 UTC
This ticket has couple of quotes on the changes and I'm afraid it doesn't look too good:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=538067

Comment 12 Miro Hrončok 2014-01-03 10:47:44 UTC
(sorry a mistake)

Comment 13 Volker Fröhlich 2014-05-16 17:36:18 UTC
I think we can close this.


Note You need to log in before you can comment on or make changes to this bug.